Overview
GET
/content/list-itemscontentList list_items
List list-items.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
List
- idstring
- ecosystemIdstring
- customerIdstring
- deletedAtstring?
- listIdstring
- positioninteger
- valuestring | number | boolean? | object | any[]
- createdAtstring
- updatedAtstring
Example
[
{
"id": "string",
"ecosystemId": "string",
"customerId": "string",
"deletedAt": "string",
"listId": "string",
"position": 0,
"value": "string",
"createdAt": "string",
"updatedAt": "string"
}
]401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/content/list-items" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/list-items", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();